Gmagick::previousimage
Gmagick::quantizeimage
Gmagick
PHP Manual

# Gmagick::profileimage

(PECL gmagick >= Unknown)

Gmagick::profileimage — Adds or removes a profile from an image

### Description

public void Gmagick::profileimage ( string `$name` , string `$profile` )

Adds or removes a ICC, IPTC, or generic profile from an image. If the profile is NULL, it is removed from the image otherwise added. Use a name of '*' and a profile of NULL to remove all profiles from the image.

### Parameters

`name`

  Name of profile to add or remove: ICC, IPTC, or generic profile.

`profile`

  The profile.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::previousimage
Gmagick::quantizeimage
Gmagick
PHP Manual